Subject: Re: [bug-diffutils] bug#78019: LTO build fails with diffutils 3.12

From: Paul Eggert <[email-masked]>
Date: Wed, 23 Apr 2025 11:56:54 -0700

These are false positives from GCC. I worked around the last one by 
installing the attached patch. The others are due to GCC bug 80922 
<https://gcc.gnu.org/bugzilla/show_bug.cgi?id=80922>.

How are you invoking 'configure' and 'make', to enable -flto? Perhaps 
diffutils can work around the other GCC bugs by looking at the arguments 
to 'configure' and 'make' and disabling -Wmaybe-uninitialized if you're 
using -flto.